export function fike_static(item) {
  //静态数据
  const list = [
//制造业
    {
      id: 1,
      name: '销售目标',
      unit: '万元',
      include: [0],
      data: {
        month: {
          base: ['650', '650', '650', '650', '650', '650', '650', '650', '650', '650', '650', '650'],
          target: ['800', '800', '800', '800', '800', '800', '800', '800', '800', '800', '800', '800', ],
          challenges: ['1000', '1000', '1000', '1000', '1000', '1000', '1000', '1000', '1000', '1000', '1000', '1000', ],
          result: ['750', '890', '830', '900', '780', '690', '860', '830', '900', '780', '760', '830', ],
        },
        quarter: {
          base: ['1950', '1950', '1950', '1950'],
          target: ['2400', '2400', '2400', '2400'],
          challenges: ['3000', '3000', '3000', '3000'],
          result: ['2470', '2440', '2590', '2370'],
        },
        year: {
          base: ['7500', '7800', ],
          target: ['8800', '9600', ],
          challenges: ['1100', '1200', ],
          result: ['8980', '9870', ],
        }
      },
    },
    {
      id: 2,
      name: '毛利率',
      unit: '%',
      include: [0],
      data: {
        month: {
          base: ['10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10'],
          target: ['14', '14', '14', '14', '14', '14', '14', '14', '14', '14', '14', '14', ],
          challenges: ['18', '18', '18', '18', '18', '18', '18', '18', '18', '18', '18', '18', ],
          result: ['13', '12', '11', '16', '15', '15.8', '16.6', '17.4', '18.2', '19', '19.8', '20.6', ],
        },
        quarter: {
          base: ['10', '10', '10', '10'],
          target: ['12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15'],
          result: ['12', '15.6', '17.4', '19.8'],
        },
        year: {
          base: ['10', '10', ],
          target: ['12', '12', ],
          challenges: ['15', '15', ],
          result: ['17', '15.5', ],
        }
      },
    },
    {
      id: 3,
      name: '客户满意度',
      unit: '分',
      include: [0],
      data: {
        month: {
          base: ['85', '85', '85', '86', '86', '86', '87', '87', '87', '88', '88', '88'],
          target: ['90', '90', '90', '91', '91', '91', '92', '92', '92', '93', '93', '93', ],
          challenges: ['95', '95', '95', '96', '96', '96', '97', '97', '97', '98', '98', '98', ],
          result: ['91', '76', '65', '84', '78', '99', '64', '82', '78', '99', '64', '82', ],
        },
        quarter: {
          base: ['85', '86', '87', '88'],
          target: ['90', '91', '92', '93'],
          challenges: ['95', '96', '97', '98'],
          result: ['77.33', '87', '74.67', '81.67'],
        },
        year: {
          base: ['85', '86', ],
          target: ['90', '91', ],
          challenges: ['95', '95', ],
          result: ['90', '89', ],
        }
      },
    },
    {
      id: 4,
      name: '开发新客户',
      unit: '家',
      include: [0],
      data: {
        month: {
          base: ['150', '150', '150', '150', '150', '150', '150', '150', '150', '150', '150', '150'],
          target: ['180', '180', '180', '180', '180', '180', '180', '180', '180', '180', '180', '180', ],
          challenges: ['240', '240', '240', '240', '240', '240', '240', '240', '240', '240', '240', '240', ],
          result: ['189', '196', '182', '126', '138', '190', '210', '340', '138', '190', '210', '296', ],
        },
        quarter: {
          base: ['450', '450', '450', '450'],
          target: ['540', '540', '540', '540'],
          challenges: ['600', '600', '600', '600'],
          result: ['567', '545', '688', '696'],
        },
        year: {
          base: ['1700', '1800', ],
          target: ['2000', '2160', ],
          challenges: ['2300', '2400', ],
          result: ['2068', '2405', ],
        }
      },
    },
    {
      id: 5,
      name: '订单达成率',
      unit: '%',
      include: [0],
      data: {
        month: {
          base: ['85', '85', '85', '85', '85', '85', '85', '85', '85', '85', '85', '85'],
          target: ['90', '90', '90', '90', '90', '90', '90', '90', '90', '90', '90', '90'],
          challenges: ['98', '98', '98', '98', '98', '98', '98', '98', '98', '98', '98', '98'],
          result: ['98', '88', '85', '93', '89', '100', '96', '98', '91', '92', '106', '93'],
        },
        quarter: {
          base: ['85', '85', '85', '85'],
          target: ['90', '90', '90', '90'],
          challenges: ['98', '98', '98', '98'],
          result: ['90.33', '94', '95', '97'],
        },
        year: {
          base: ['85', '85'],
          target: ['90', '90'],
          challenges: ['98', '98'],
          result: ['94', '96'],
        }
      },
    },
// 服务业
    {
      id: 6,
      name: '营业额',
      unit: '万元',
      include: [1],
      data: {
        month: {
          base: ['500', '500', '500', '500', '500', '500', '500', '500', '500', '500', '500', '500'],
          target: ['600', '600', '600', '600', '600', '600', '600', '600', '600', '600', '600', '600'],
          challenges: ['800', '800', '800', '800', '800', '800', '800', '800', '800', '800', '800', '800'],
          result: ['750', '890', '830', '900', '780', '690', '860', '830', '900', '780', '760', '830'],
        },
        quarter: {
          base: ['1500', '1500', '1500', '1500'],
          target: ['1800', '1800', '1800', '1800'],
          challenges: ['2400', '2400', '2400', '2400'],
          result: ['2470', '2370', '2590', '2370'],
        },
        year: {
          base: ['7500', '6000'],
          target: ['8800', '7200'],
          challenges: ['9050', '9600'],
          result: ['8980', '9800'],
        }
      },
    },
    {
      id: 7,
      name: '毛利率',
      unit: '%',
      include: [1],
      data: {
        month: {
          base: ['10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10'],
          target: ['12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15'],
          result: ['13', '12', '11', '16', '15', '15.8', '16.6', '17.4', '18.2', '19', '19.8', '20.6'],
        },
        quarter: {
          base: ['10', '10', '10', '10'],
          target: ['12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15'],
          result: ['12', '15.6', '17.4', '19.8'],
        },
        year: {
          base: ['10', '10'],
          target: ['12', '12'],
          challenges: ['15', '15'],
          result: ['15.5', '17'],
        }
      },
    },
    {
      id: 8,
      name: '连单率',
      unit: '%',
      include: [1],
      data: {
        month: {
          base: ['15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15'],
          target: ['20', '20', '20', '20', '20', '20', '20', '20', '20', '20', '20', '20'],
          challenges: ['28', '28', '28', '28', '28', '28', '28', '28', '28', '28', '28', '28'],
          result: ['21', '16', '25', '24', '17', '19', '24', '22', '18', '19', '24', '18'],
        },
        quarter: {
          base: ['15', '15', '15', '15'],
          target: ['20', '20', '20', '20'],
          challenges: ['28', '28', '28', '28'],
          result: ['20.67', '20', '21.33', '20.33'],
        },
        year: {
          base: ['13', '15'],
          target: ['16', '20'],
          challenges: ['20', '28'],
          result: ['19.5', '21'],
        }
      },
    },
    {
      id: 9,
      name: '新增会员数',
      unit: '人',
      include: [1],
      data: {
        month: {
          base: ['1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500'],
          target: ['1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800'],
          challenges: ['2400', '2400', '2400', '2400', '2400', '2400', '2400', '2400', '2400', '2400', '2400', '2400'],
          result: ['1890', '1960', '1820', '1260', '1380', '1900', '2100', '3400', '1380', '1900', '2100', '2960'],
        },
        quarter: {
          base: ['4500', '4500', '4500', '4500'],
          target: ['5400', '5400', '5400', '5400'],
          challenges: ['7200', '7200', '7200', '7200'],
          result: ['5670', '5450', '6880', '6960'],
        },
        year: {
          base: ['17000', '18000'],
          target: ['20000', '21600'],
          challenges: ['23000', '28800'],
          result: ['21068', '24050'],
        }
      },
    },
    {
      id: 10,
      name: '客户满意度',
      unit: '%',
      include: [1],
      data: {
        month: {
          base: ['85', '85', '85', '85', '85', '85', '85', '85', '85', '85', '85', '85'],
          target: ['90', '90', '90', '90', '90', '90', '90', '90', '90', '90', '90', '90'],
          challenges: ['98', '98', '98', '98', '98', '98', '98', '98', '98', '98', '98', '98'],
          result: ['98', '88', '85', '93', '89', '100', '96', '98', '91', '92', '100', '93'],
        },
        quarter: {
          base: ['85', '85', '85', '85'],
          target: ['90', '90', '90', '90'],
          challenges: ['98', '98', '98', '98'],
          result: ['90.33', '94', '95', '97'],
        },
        year: {
          base: ['85', '85'],
          target: ['90', '90'],
          challenges: ['95', '98'],
          result: ['94', '96'],
        }
      },
    },
//教育
    {
      id: 11,
      name: '线上营业额',
      unit: '万元',
      include: [2],
      data: {
        month: {
          base: ['150', '150', '150', '150', '150', '150', '150', '150', '150', '150', '150', '150'],
          target: ['180', '180', '180', '180', '180', '180', '180', '180', '180', '180', '180', '180'],
          challenges: ['200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200'],
          result: ['189', '196', '182', '126', '138', '190', '210', '340', '138', '190', '210', '296'],
        },
        quarter: {
          base: ['450', '450', '450', '450'],
          target: ['540', '540', '540', '540'],
          challenges: ['600', '600', '600', '600'],
          result: ['567', '454', '688', '696'],
        },
        year: {
          base: ['1700', '1800'],
          target: ['2000', '2160'],
          challenges: ['2300', '2400'],
          result: ['2068', '2405'],
        }
      },
    },
    {
      id: 12,
      name: '课程数',
      unit: '套',
      include: [2],
      data: {
        month: {
          base: ['25', '25', '25', '25', '25', '25', '25', '25', '25', '25', '25', '25'],
          target: ['30', '30', '30', '30', '30', '30', '30', '30', '30', '30', '30', '30'],
          challenges: ['40', '40', '40', '40', '40', '40', '40', '40', '40', '40', '40', '40'],
          result: ['31', '36', '35', '34', '38', '29', '24', '32', '28', '39', '34', '27'],
        },
        quarter: {
          base: ['75', '75', '75', '75'],
          target: ['90', '90', '90', '90'],
          challenges: ['120', '120', '120', '120'],
          result: ['102', '101', '84', '100'],
        },
        year: {
          base: ['200', '300'],
          target: ['250', '360'],
          challenges: ['300', '480'],
          result: ['290', '387'],
        }
      },
    },
    {
      id: 13,
      name: '课程转化率',
      unit: '%',
      include: [2],
      data: {
        month: {
          base: ['10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10'],
          target: ['12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15'],
          result: ['13', '12', '11', '16', '15', '15.8', '16.6', '17.4', '18.2', '19', '19.8', '20.6'],
        },
        quarter: {
          base: ['10', '10', '10', '10'],
          target: ['12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15'],
          result: ['12', '15.6', '17.4', '19.8'],
        },
        year: {
          base: ['10', '10'],
          target: ['12', '12'],
          challenges: ['15', '15'],
          result: ['15.5', '17'],
        }
      },
    },
    {
      id: 14,
      name: '教学质量分',
      unit: '分',
      include: [2],
      data: {
        month: {
          base: ['85', '85', '85', '85', '85', '85', '85', '85', '85', '85', '85', '85'],
          target: ['90', '90', '90', '90', '90', '90', '90', '90', '90', '90', '90', '90'],
          challenges: ['98', '98', '98', '98', '98', '98', '98', '98', '98', '98', '98', '98'],
          result: ['98', '88', '85', '93', '89', '100', '96', '98', '91', '92', '100', '93'],
        },
        quarter: {
          base: ['85', '85', '85', '85'],
          target: ['90', '90', '90', '90'],
          challenges: ['98', '98', '98', '98'],
          result: ['90.33', '94.00', '95.00', '95.00'],
        },
        year: {
          base: ['85', '85'],
          target: ['90', '90'],
          challenges: ['95', '98'],
          result: ['94', '96'],
        }
      },
    },

//贸易
    {
      id: 15,
      name: '销售业绩',
      unit: '万元',
      include: [3],
      data: {
        month: {
          base: ['150', '150', '150', '150', '150', '150', '150', '150', '150', '150', '150', '150'],
          target: ['180', '180', '180', '180', '180', '180', '180', '180', '180', '180', '180', '180'],
          challenges: ['200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200'],
          result: ['189', '196', '182', '126', '138', '190', '210', '340', '138', '190', '210', '296'],
        },
        quarter: {
          base: ['450', '450', '450', '450'],
          target: ['540', '540', '540', '540'],
          challenges: ['600', '600', '600', '600'],
          result: ['567', '454', '688', '696'],
        },
        year: {
          base: ['1700', '1800'],
          target: ['2000', '2160'],
          challenges: ['2300', '2400'],
          result: ['2068', '2405'],
        }
      },
    },
    {
      id: 16,
      name: '新增订单数',
      unit: '个',
      include: [3],
      data: {
        month: {
          base: ['150', '150', '150', '150', '150', '150', '150', '150', '150', '150', '150', '150'],
          target: ['180', '180', '180', '180', '180', '180', '180', '180', '180', '180', '180', '180'],
          challenges: ['200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200', '200'],
          result: ['189', '196', '182', '126', '138', '190', '210', '340', '138', '190', '210', '296'],
        },
        quarter: {
          base: ['450', '450', '450', '450'],
          target: ['540', '540', '540', '540'],
          challenges: ['600', '600', '600', '600'],
          result: ['567', '545', '688', '696'],
        },
        year: {
          base: ['1700', '1800'],
          target: ['2000', '2160'],
          challenges: ['2300', '2400'],
          result: ['2068', '2405'],
        }
      },
    },
    {
      id: 17,
      name: '经销商数量',
      unit: '个',
      include: [3],
      data: {
        month: {
          base: ['10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10'],
          target: ['12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15'],
          result: ['13', '12', '11', '8', '15', '16', '16', '17', '18', '9', '18', '20'],
        },
        quarter: {
          base: ['30', '30', '30', '30'],
          target: ['36', '36', '36', '36'],
          challenges: ['45', '45', '45', '45'],
          result: ['36', '39', '51', '47'],
        },
        year: {
          base: ['100', '120'],
          target: ['120', '144'],
          challenges: ['150', '180'],
          result: ['135', '173'],
        }
      },
    },
    {
      id: 18,
      name: '续费率',
      unit: '%',
      include: [3],
      data: {
        month: {
          base: ['10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10'],
          target: ['12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15'],
          result: ['13', '12', '11', '16', '15', '15.8', '16.6', '17.4', '18.2', '19', '19.8', '20.6'],
        },
        quarter: {
          base: ['10', '10', '10', '10'],
          target: ['12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15'],
          result: ['12', '15.6', '17.4', '19.8'],
        },
        year: {
          base: ['10', '10'],
          target: ['12', '12'],
          challenges: ['15', '15'],
          result: ['15.5', '17'],
        }
      },
    },

//互联网
    {
      id: 19,
      name: '访客数',
      unit: '人',
      include: [4],
      data: {
        month: {
          base: ['6500', '6500', '6500', '6500', '6500', '6500', '6500', '6500', '6500', '6500', '6500', '6500'],
          target: ['8000', '8000', '8000', '8000', '8000', '8000', '8000', '8000', '8000', '8000', '8000', '8000'],
          challenges: ['10000', '10000', '10000', '10000', '10000', '10000', '10000', '10000', '10000', '10000', '10000', '10000'],
          result: ['7500', '8900', '8300', '9000', '7800', '6900', '8600', '8300', '9000', '7800', '7600', '8300'],
        },
        quarter: {
          base: ['19500', '19500', '19500', '19500'],
          target: ['24000', '24000', '24000', '24000'],
          challenges: ['30000', '30000', '30000', '30000'],
          result: ['24700', '23700', '25900', '23700'],
        },
        year: {
          base: ['75000', '78000'],
          target: ['88000', '96000'],
          challenges: ['110000', '120000'],
          result: ['89800', '98000'],
        }
      },
    },
    {
      id: 20,
      name: '订单数',
      unit: '单',
      include: [4],
      data: {
        month: {
          base: ['1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500', '1500'],
          target: ['1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800', '1800'],
          challenges: ['2000', '2000', '2000', '2000', '2000', '2000', '2000', '2000', '2000', '2000', '2000', '2000'],
          result: ['1890', '1960', '1820', '1260', '1380', '1900', '2100', '3400', '1380', '1900', '2100', '2960'],
        },
        quarter: {
          base: ['4500', '4500', '4500', '4500'],
          target: ['5400', '5400', '5400', '5400'],
          challenges: ['6000', '6000', '6000', '6000'],
          result: ['5670', '5670', '5670', '5670'],
        },
        year: {
          base: ['17000', '18000'],
          target: ['20000', '21600'],
          challenges: ['23000', '24000'],
          result: ['20680', '240500'],
        }
      },
    },
    {
      id: 21,
      name: '新客户转化率',
      unit: '%',
      include: [4],
      data: {
        month: {
          base: ['10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10', '10'],
          target: ['12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15', '15'],
          result: ['13', '12', '11', '16', '15', '15.8', '16.6', '17.4', '18.2', '19', '19.8', '20.6'],
        },
        quarter: {
          base: ['10', '10', '10', '10'],
          target: ['12', '12', '12', '12'],
          challenges: ['15', '15', '15', '15'],
          result: ['12', '15.6', '17.4', '19.8'],
        },
        year: {
          base: ['10', '10'],
          target: ['12', '12'],
          challenges: ['15', '15'],
          result: ['15.5', '17'],
        }
      },
    },
    {
      id: 22,
      name: '项目按时完成率',
      unit: '%',
      include: [4],
      data: {
        month: {
          base: ['85', '85', '85', '86', '86', '86', '87', '87', '87', '88', '88', '88'],
          target: ['90', '90', '90', '91', '91', '91', '92', '92', '92', '93', '93', '93'],
          challenges: ['95', '95', '95', '96', '96', '96', '97', '97', '97', '98', '98', '98'],
          result: ['91', '76', '65', '84', '78', '99', '64', '82', '78', '99', '64', '82'],
        },
        quarter: {
          base: ['85', '86', '87', '88'],
          target: ['90', '91', '92', '93'],
          challenges: ['95', '96', '97', '98'],
          result: ['77.33', '87', '74.67', '81.67'],
        },
        year: {
          base: ['85', '86'],
          target: ['90', '91'],
          challenges: ['95', '95'],
          result: ['90', '89'],
        }
      },
    },


//空数据
    {
      include: [-1],
      month: {
        base: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        target: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, ],
        challenges: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, ],
        result: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, ],
      },
      quarter: {
        base: [0, 0, 0, 0, ],
        target: [0, 0, 0, 0, ],
        challenges: [0, 0, 0, 0, ],
        result: [0, 0, 0, 0, ],
      },
      year: {
        base: [0, 0, ],
        target: [0, 0, ],
        challenges: [0, 0, ],
        result: [0, 0, ],
      }
    },
  ];
  let data = []
  list.forEach(x => {
    if (x.include.indexOf(item) != -1) {
      data.push(x)
    }
  })
  return data
}
export function index_explain(){
  return [
    {
      title: '什么是从指标项获取？',
      cont: '月度的数据从绩效考核的指标库中选择对应负责人的指标，待当月的考核出结果并归档后，即可从已选指标中获取到实际结果值数据'
    },
    {
      title: '设置从指标项获取数据时，推荐以下几种设置方式',
    },
    {
      title: '1. 累加求和',
      cont: '月销售额=个人销售额a+个人销售额b+个人销售额c+...<br>月销售额=销售1组销售额（组长负责的指标）+销售2组销售额+销售3组销售额+....<br>月销售额=销售部A销售额（A部长负责的指标）+销售部B销售额+销售部C销售额+...<br>月销售额=公司总销售额（公司业务负责人的指标）'
    },
    {
      title: '2. 平均值',
      cont: '月服务满意度=(个人满意度a+个人满意度b+个人满意度c+....)/人数<br>月服务满意度=（a门店满意度（店长a的指标）+b门店满意度+c门店满意度+...）/店长数<br>月满意度=整体满意度（公司客户负责人指标）'
    },
    {
      title: '<span style="color: #ff5232;">注意事项：</span>',
      cont: [
        {
          title: '<i class="el-icon-info"></i> 仅支持从月度考核中获取指标数据，非月度考核的结果不会参与计算',
        },
        {
          title: '同一层级的数据才能参与计算，否则会导致数据重复',
          cont: '<i style="color: #ff5232;" class="el-icon-circle-close"></i> 错误示例：部门的指标和个人都被选上，一起统计'
        },
        {
          title: '多个人同时使用相同的指标时，慎用，容易出现数据重复',
          cont: '<i style="color: #ff5232;" class="el-icon-circle-close"></i> 错误示例：经理和主管都对指标项【A部门的总销售业绩】负责并被考核时，都加入计算会导致重复'
        },
        {
          title: '须保证考核指标的单位是一致的；',
          cont: '<i style="color: #ff5232;" class="el-icon-circle-close"></i> 错误示例：部门A销售指标10万元，部门B销售指标150000元'
        },
        {
          title: '求平均值时，一个指标应只由一个人来负责，否则平均值的数据会有偏差',
          cont: '<i style="color: #ff5232;" class="el-icon-circle-close"></i> 错误示例：张三李四同时负责同一个指标A，王五负责另一个指标B，此时求A、B平均值不对'
        },
      ]
    },
  ]
}
